# NameFilter class

(Shortest import: `from brian2.utils.logger import NameFilter)`

class brian2.utils.logger.NameFilter(name)

  Bases: `object`

  A class for suppressing log messages ending with a certain name.

  Parameters:

    name : str

    > The name to suppress. See `BrianLogger.suppress_name` for details.

  Methods

  `filter`(record) | Filter out all messages ending with a certain name.

  Details

  filter(record)

    Filter out all messages ending with a certain name.